PAPI_list_threads(3)

NAME
PAPI_list_threads - List the registered thread ids.

SYNOPSIS

Detailed Description

PAPI_list_threads() returns to the caller a list of all thread IDs known to PAPI.

This call assumes an initialized PAPI library.

C Interface
    #include <papi.h>
    int PAPI_list_threads(PAPI_thread_id_t *tids, int * number );

Parameters
    *tids -- A pointer to a preallocated array. This may be NULL to only return a count of threads. No more than *number codes will be stored in the array.
    *number -- An input and output parameter.
     Input specifies the number of allocated elements in *tids (if non-NULL) and output specifies the number of threads.

Return values
    PAPI_OK The call returned successfully.
    PAPI_EINVAL *number has an improper value

See also
    PAPI_get_thr_specific

    PAPI_set_thr_specific

    PAPI_register_thread

    PAPI_unregister_thread

    PAPI_thread_init PAPI_thread_id

Author

Generated automatically by Doxygen for PAPI from the source code.